.chatbot-wrap {
    position: fixed;
    right: 40px;
    bottom: 40px;
    z-index: 999;
}
.chat-toggle {
    position: relative;
    width: 70px;
    height: 70px;
    cursor: pointer;
}
.chatbot-icon {
    display: block;
    width: 100%;
    height: auto;
    transition:0.25s;
}
.close-icon {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    z-index: 10;
    transition: .25s;
}
.close-icon::before,
.close-icon::after {
    content: "";
    position: absolute;
    width: 34px;
    height: 4px;
    background: #fff;
    border-radius: 999px;
    left: 50%;
    top: 50%;
}
.close-icon::before {
    transform: translate(-50%,-50%) rotate(45deg);
}
.close-icon::after {
    transform: translate(-50%,-50%) rotate(-45deg);
}
.chat-toggle.active .chatbot-icon {
    display: none;
}
.chat-toggle.active .close-icon {
    opacity: 1;
}
.chat-window {
    position: absolute;
    right: 0;
    bottom: 90px;
    width: 400px;
    height: 720px;
    border-radius: 18px;
    background-color: #263346;
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    transition: 0.3s ease;
}
.chat-window.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}
@media (max-width: 1024px) {
    .chatbot-wrap {
        right: 24px;
        bottom: 24px;
    }
    .chat-toggle {
        width: 64px;
        height: 64px;
    } 
    .chat-window{
        width: 360px;
        height: 680px;
    }
    
}
@media (max-width: 820px) {
    .chatbot-wrap {
        right: 20px;
        bottom: 20px;
    }
    .chat-toggle {
        width: 60px;
        height: 60px;
    }
    .close-icon::before,
    .close-icon::after {
        width: 30px;
    }
    .chat-window {
        width: 340px;
        height: 640px;
        bottom: 84px;
    }
}
@media (max-width: 680px) {
    .chatbot-wrap {
        right: 16px;
        bottom: 16px;
    }
    .chat-toggle {
        width: 56px;
        height: 56px;
    }
    .close-icon::before,
    .close-icon::after {
        width: 28px;
        height: 3px;
    }
    .chat-window {
        right: 0;
        bottom: 65px;
        width: 630px;
        height: 760px;
    }
}
@media (max-width:500px) {
    .chatbot-wrap {
        right: 12px;
        bottom: 12px;
    }
    .chat-toggle {
        width: 52px;
        height: 52px;
    }
    .close-icon::before,
    .close-icon::after {
        width: 26px;
    }
    .chat-window {
        right: -1px;
        width: 460px;
    }
}
@media (max-width: 412px) {
    .chatbot-wrap {
        right: 10px;
        bottom: 10px;
    }
    .chat-toggle {
        width: 50px;
        height: 50px;
    }
    .close-icon::before,
    .close-icon::after {
        width: 24px;
    }
    .chat-window {
        right: 5px;
        width: 380px;
        height: 680px;
    }
}

.top-btn {
    position: fixed;
    right: 40px;
    bottom: 130px;
    width: 70px;
    height: 70px;
    padding: 0;
    border: none;
    border-radius: 50%;
    background: #1c1c1f;
    border: 1px solid #34343a;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: 0.3s;
}

.top-btn.show {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.top-btn img {
    display: block;
    width: 28px;
    height: 40px;
    margin: 0 auto;
}
@media (max-width: 1024px) {
    .top-btn {
        right: 24px;
        bottom: 105px;
        width: 64px;
        height: 64px;
    }
    .top-btn img {
        width: 26px;
        height: 36px;
    }
}
@media (max-width: 820px) {
    .top-btn {
        right: 20px;
        bottom: 100px;
        width: 60px;
        height: 60px;
    }
    .top-btn img {
        width: 24px;
        height: 34px;
    }
}
@media (max-width: 680px) {
    .top-btn {
        right: 16px;
        bottom: 90px;
        width: 56px;
        height: 56px;
    }
    .top-btn img {
        width: 22px;
        height: 30px;
    }
}
@media (max-width: 500px) {
    .top-btn {
        right: 12px;
        bottom: 80px;
        width: 52px;
        height: 52px;
    }
    .top-btn img {
        width: 20px;
        height: 28px;
    }
}
@media (max-width: 412px) {
    .top-btn {
        right: 10px;
        bottom: 70px;
        width: 50px;
        height: 50px;
    }
    .top-btn img {
        width: 18px;
        height: 26px;
    }
}